Package pyplusplus :: Package messages

# Package messages

source code

This package defines all user messages( warnings + errors ), which will be reported to user.

Submodules

- pyplusplus.messages.warnings_: This package defines all user messages (warnings + errors), which will be reported to user.

Functions

find_out_message_id(msg) | source code

disable(*args) | source code

filter_disabled_msgs(msgs, disable_messages=None) | source code

Variables
| DISABLE_MESSAGES = ``[`'compilation error W1000: Py++, by default`...``
| msg = ``'``compilation error W1035: Py++ can not expose static poi``...``
| msg_inst = `'compilation error W1035: Py++ can not expose stati`...``

Variables Details

### DISABLE_MESSAGES

Value:

      ['compilation error W1000: Py++, by default, does not expose internal
      compilers declarations. Names of those declarations usually start with
       "__".',
       'compilation error W1001: Py++, by default, does not expose internal
      declarations. GCC-XML reports that these declaration belong to "<inter
      nal>" header.',
       'compilation error W1002: Py++, by default, does not expose compiler
      generated declarations.',
      ...

### msg

Value:

      'compilation error W1035: Py++ can not expose static pointer member va
      riables. This could be changed in future.'

### msg_inst

Value:

      'compilation error W1035: Py++ can not expose static pointer member va
      riables. This could be changed in future.'